\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{tu-letter}[2006/01/04 TU Graz letter]
\typeout{}
\typeout{* 2001 Christian Pfaffel <flash@itp.tugraz.at>}
\typeout{* 2005 Andreas Hirczy <ahi@itp.tugraz.at>}
\typeout{}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{dinbrief}}
\ProcessOptions



%\RequirePackage[english,german,austrian, naustrian]{babel}
\LoadClass[a4paper]{dinbrief}
\RequirePackage[latin1]{inputenc}
\RequirePackage{helvet}
\RequirePackage{graphicx}

%\RequirePackage[german,english]{babel}

\def\tilde{\symbol{126}}

\def\institute#1{ \global\def\@institute{\bfseries #1} }
\def\department#1{ \global\def\@department{#1}}
\def\title#1{\global\def\@title{#1}}
\def\name#1#2{
  \global\def\@firstname{#1}
  \global\def\@lastname{#2}
  \global\def\@name{#1 {\bfseries #2}}
  \signature{\@firstname{} \@lastname}}
\def\function#1{\global\def\@function{#1}}
\def\residence#1{\global\def\@residence{#1}}
\def\fax#1{\global\def\@fax{#1}}
\def\phone#1{\global\def\@phone{#1}}
\def\email#1{\global\def\@email{#1}}
\def\web#1{\global\def\@web{#1}}

\institute{}
\department{}
\title{}
\function{}
\residence{Rechbauerstr. 12 \\ A-8010 Graz}
\phone{+43/3\,16/8\,73-0}
\fax{+43/3\,16/8\,73-86\,78 (Port.)}
\place{Graz}
\email{}
\web{http://www.tugraz.at}

\def\briefkopf{
  \setlength{\unitlength}{1cm}
  \begin{picture}(0,0)(-10.7,2.2)
    \footnotesize
    % \put(0,0){x}
    \put(1,0.1){\includegraphics[width=40mm]{logo-TU-Graz}}
    \put(-11.1,0){\line(1,0){17.2}}
    \put(-11.3,-0.6){\parbox[t][][l]{11cm}{ % ACHTUNG BLOEDER HACK
        \raggedleft
        \@institute\\
        \@department}}
    \put(0,2.2){\line(0,-1){8.7}}  % Absender Rand links
    \put(6.1,0){\line(0,-1){7.4}}  % Absender Rand rechts
    \put(0,-6.5){\line(1,0){7.0}}  % Absender Rand unten
    \put(0.9,-0.6){\parbox[t][][l]{5cm}{
        \ifx\@title\empty \else \@title\\ \fi
        \ifx\@name\undefined \errmessage{``name'' undefined} \else \@name\\ \fi
        \ifx\@function\empty  \else \@function  \\ \fi
        \ifx\@residence\empty \else \@residence \\ \fi
        \begin{tabbing}
          \ifx\@phone\empty \else  Tel.: \= \@phone \\ \fi
          \ifx\@fax\empty \else  Fax: \= \@fax \\ \fi
        \end{tabbing}
        \ifx\@email\empty \else \@email \fi \\
        \ifx\@web\empty \else \@web \fi \\}}
    % Das Logo - Umschalten auf Seitenlaenge von Kastl, einfacher
    % \definecolor{tug_rot}{cmyk}{0,1,0.45,0}
    % \setlength{\unitlength}{0.65mm}
    % \setlength{\fboxsep}{0pt}
    % \multiput(0,13)(11,0){3}{\colorbox{tug_rot}{\makebox(10,10){}}}
    % \multiput(5.5,8)(11,10){2}{\colorbox{tug_rot}{\makebox(10,10){}}}
    % \put(32.7,13.3){\sffamily \bfseries \huge TU}
    \put(1,-6.4){\scriptsize 
      DVR:\,008\,1833\quad{}UID:\,ATU\,574\,77\,929}
  \end{picture}
}


\address{\briefkopf}
\nowindowrules
\centeraddress

\InputIfFileExists{tu-letter.cfg}{}{
  \InputIfFileExists{tu-letter-pers.tex}{
    \typeout{**************************************************}
    \typeout{***}
    \typeout{*** OLD KONFIGURATION 'tu-letter-pers.tex' found!}
    \typeout{*** please provide 'tu-letter.cfg'}
    \typeout{***}
    \typeout{**************************************************}
  }{
    \typeout{**************************************************}
    \typeout{***}
    \typeout{*** NO CONFIGURATION FILE FOUND!}
    \typeout{*** please provide 'tu-letter.cfg'}
    \typeout{***}
    \typeout{**************************************************}
  }
}

\raggedright
\renewcommand{\familydefault}{\sfdefault}